<template lang="pug">
Modal(ref='modal' @hidden="onHiddenEvent")
  template(v-slot:title)
    slot(name='title' v-bind='{ resolve, reject, visible }')
      h5.modal-title {{ title }}
  slot(name='default' v-bind='{ resolve, reject, visible }')
    | {{ text }}
  template(v-slot:footer='')
    slot(name='footer' v-bind='{ resolve, reject, visible }')
      .d-flex.justify-content-end
        button.mr-1.btn.btn-secondary(@click='resolve(false)')
          kbd.mr-2(v-if="showKeyHints") Esc
          | Cancel
        button.btn.btn-danger(@click='resolve(true)')
          kbd.mr-2(v-if="showKeyHints") Enter
          | Ok
</template>
<script src='./BaseDialog.vue.js' />s
